package com.hcloud.microservice.goods.facade.forms;

import com.hcloud.microserver.commoncore.base.BaseForm;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author xiezt
 */
@Data
public class GoodsAssayInfoForm extends BaseForm {

    private String guid;

    private String fkGoodsBatchId;

    private String assayDepartment;

    private String assayImgs;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    /**
     * 辅助列表
     */
    private List<GoodsInfoAuxiliaryForm> auxList;

    /**
     * 图片列表
     */
    private List<String> imagesList;
}
