package com.hcloud.microservice.goods.facade.forms;

import com.hcloud.microserver.commoncore.base.BaseForm;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 产品经销商信息
 * @author admin
 *
 */
@Data
public class GoodsDealerForm extends BaseForm{
	
	private String guid;

    private String fkOrgGuid;

    @ApiModelProperty(value="经销商编码",example="经销商编码")
    private String dealerCode;

    @ApiModelProperty(value="经销商名称",example="经销商名称")
    private String dealerName;

    @ApiModelProperty(value="联系方式",example="联系方式")
    private String linkPhone;

    @ApiModelProperty(value="产地区域guid",example="产地区域guid")
    private String fkPostionId;

    @ApiModelProperty(value="产地详细地址",example="产地详细地址")
    private String dealerAddress;

    @ApiModelProperty(value="经纬度",example="经纬度")
    private String latitudeLongitude;
    
    @ApiModelProperty(value="备注信息",example="备注信息")
    private String remark;
    
    private String provinceId;

    private String cityId;

    private String countyId;
}
