package com.hcloud.microservice.goods.facade.forms;

import java.util.Date;
import java.util.List;

import com.hcloud.microserver.commoncore.base.BaseForm;
import com.hcloud.microserver.commoncore.util.string.ConvertStringToList;
import com.hcloud.microservice.goods.facade.entity.GoodsDealer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiezt
 */
@Data
public class GoodsQRCodeInfoForm extends BaseForm {

    private String guid;

    private String fkGoodsGuid;

    private String fkBatchRecordGuid;

    private String qrcode;

    private String qrcodeToken;

    private String qrcodeUrl;

    private String qrcodeImg;

    private Integer scanCount;

    private Date scanFirstTimed;

    private Date scanLastTimed;

    private GoodsBatchInfoForm goodsBatchInfoForm;

    private GoodsFieldForm goodsFieldForm;

    private GoodsAssayInfoForm assayInfoForm;

    private Integer codeCount;

    private String goodsBatchInfoId;

    private String qrcodeParentCode;

    private String goodsName;

    private String orgAddress;

    private String orgName;

    private String principals;

    private String tel;

    private String remark;

    private String companyUrl;

    private String companyTel;

    private String qqCode;

    private String wxQRImg;

    private List<GoodsProNormalForm> sourceList;

    private List<GoodsProNormalForm> productList;

    private List<GoodsProInputsForm> inputsList;
    
    @ApiModelProperty(value="企业log",example="企业log")
    private String ico;
    
    @ApiModelProperty(value="天猫地址",example="天猫地址")
    private String tmallUrl;
    
    @ApiModelProperty(value="京东地址",example="京东地址")
    private String jdUrl;
    
    @ApiModelProperty(value="资格证书",example="资格证书")
    private String qualificaImgs;
    
    private List<String> qualificaImgsList;
    
    private List<String> getQualificaImgsList(){
    	qualificaImgsList = ConvertStringToList.getListFormSplitString(this.qualificaImgs, ";");
    	return qualificaImgsList;
    }
    
    //@ApiModelProperty(value="经销商信息",example="经销商信息")
    //private List<GoodsDealer> dealerList;
}
