package com.hcloud.microservice.goods.facade.forms;

import java.util.List;

import com.hcloud.microserver.commoncore.base.BaseForm;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

/**
 * @author JYJ
 */
@Slf4j
@Data
public class GoodsBatchFeedbackForm extends BaseForm {

    private String guid;

    private String fkOrgGuid;

    private String fkGoodsBatchGuid;
    
    private String fkBatchRecordGuid;

    @ApiModelProperty(value="评价星级",example="评价星级")
    private Integer gradeLevel;

    @ApiModelProperty(value="评价内容",example="评价内容")
    private String commentVal;

    private String commentTitle;

    private Integer checked;

    private String checkedUser;

    private String feedbackUser;

    private String beginTime;

    private String endTime;

    private List<String> pkList;

    private Integer gradeStar;

    private String goodsBatchNo;

    private String goodsName;

    private String tracedUserName;

    private String condStr;

}
