package com.hcloud.microservice.goods.facade.results;

import com.hcloud.microserver.commoncore.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author 朱修贤
 * @date 2019年4月26日17点27分
 * @description 统计二维码扫描人数的结果集
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ScanNumStatResult extends BaseEntity {
    private Integer january;
    private Integer february;
    private Integer march;
    private Integer april;
    private Integer may;
    private Integer june;
    private Integer july;
    private Integer august;
    private Integer september;
    private Integer october;
    private Integer november;
    private Integer december;

    private Integer hour;
    private Integer dayOfWeek;
    private Integer dayOfMonth;
    private Integer scanNum;
    private Integer newScanNum;
}
